<%@page contentType="text/html;charset=UTF-8"%>
<%@ taglib prefix="f" uri="http://java.sun.com/jsf/core" %>
<%@ taglib prefix="h" uri="http://java.sun.com/jsf/html" %>
<%@ taglib prefix="s" uri="http://shale.apache.org/core" %>

<%--

 Licensed to the Apache Software Foundation (ASF) under one or more
 contributor license agreements.  See the NOTICE file distributed with
 this work for additional information regarding copyright ownership.
 The ASF licenses this file to you under the Apache License, Version 2.0
 (the "License"); you may not use this file except in compliance with
 the License.  You may obtain a copy of the License at

     http://www.apache.org/licenses/LICENSE-2.0

 Unless required by applicable law or agreed to in writing, software
 distributed under the License is distributed on an "AS IS" BASIS,
 WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 See the License for the specific language governing permissions and
 limitations under the License.

--%>

<f:view>
   <%@include file="../messages.jspf"%>
   <html>
      <head>
         <script type="text/javascript" language="Javascript1.1">
            <!--
            var req; // XMLHttpRequest

            // zipChanged(zip) is called when a selection is made
            // from the zip code menu.

            function zipChanged(zip) {
               sendRequest("<%= request.getContextPath() %>" +
                           "/dynamic/remoting$business/cityAndStateForZip.faces" +
                           "?zip=" + escape(zip),
                            processZipCodeSelection);
            }

            // Convenience methods for sending an Ajax request

            function sendRequest(url, handler) {
               initXHR();
               req.onreadystatechange = handler;
               req.open("GET", url, true);
               req.send(null);
            }

            function initXHR() {
               if(window.XMLHttpRequest) {
                  req = new XMLHttpRequest();
               }
               else if(window.ActiveXObject) {
                  req = new ActiveXObject("Microsoft.XMLHTTP");
               }
            }

            // Callback that handles the request after it has been processed
            // This callback is set in the sendRequest function

            function processZipCodeSelection() {
               if(req.readyState == 4) {
                  if(req.status == 200) {
                     var msg = req.responseText;
                     var cityStartIndex = msg.indexOf("<value>");
                     var cityEndIndex = msg.indexOf("</value>");
                     var city;
                     var state;

                     if(cityStartIndex != -1 && cityEndIndex != -1) {
                        cityStartIndex += "<value>".length;
                        city = msg.substring(cityStartIndex, cityEndIndex);
                        var therest = msg.substring(cityEndIndex + "</value>".length);

                        var stateStartIndex = therest.indexOf("<value>");
                        if(stateStartIndex != -1) {
                           stateStartIndex += "<value>".length;
                           var stateEndIndex = therest.indexOf("</value>");
                           if(stateEndIndex != -1) {
                             var cityElement = window.document
                                                     .getElementById("ajaxZipForm:city");
                             var stateElement = window.document
                                                      .getElementById("ajaxZipForm:state");
                             cityElement.value = city;
                             stateElement.value = therest.substring(stateStartIndex,
                                                                    stateEndIndex);
                           }
                        }
                     }
                  }
               }
            }
         -->
         </script>
         <title>
            <h:outputText value="#{messages['ajax.zip.zipWindowTitle']}"/>
         </title>
      </head>

      <body>
         <h:form id="ajaxZipForm">
            <h:panelGrid          columns="2">
               <%-- ZIP --%>
               <h:outputLabel         for="zip" 
                                    value="#{messages['ajax.zip.zipPrompt']}"/>
               <h:panelGroup>
                  <h:selectOneMenu     id="zip" 
                                    value="#{ajax$address.zipCode}"
                                 onchange="zipChanged(this.value);">
                     <f:selectItems value="#{domains.zipCodeItems}"/>
                  </h:selectOneMenu>
               </h:panelGroup>

               <%-- CITY --%>
               <h:outputLabel         for="city" 
                                    value="#{messages['ajax.zip.cityPrompt']}"/>
               <h:panelGroup>
                  <h:inputText         id="city"
                                    value="#{ajax$address.city}"
                               styleClass="input"/>
               </h:panelGroup>

               <%-- STATE --%>
               <h:outputLabel        for="state" 
                                   value="#{messages['ajax.zip.statePrompt']}"/>
               <h:panelGroup>
                  <h:inputText        id="state"
                                   value="#{ajax$address.state}"
                              styleClass="input"/>
               </h:panelGroup>
            </h:panelGrid>
            <p>
               <h:commandLink  immediate="true"  
                                   value="#{messages['usecases.primary']}"
                                  action="usecases$toplevel"/>
            </p>
         </h:form>
      </body>
   </html>
</f:view>
