<%@page contentType="text/html;charset=UTF-8"%>
<%@ taglib prefix="f" uri="http://java.sun.com/jsf/core" %>
<%@ taglib prefix="h" uri="http://java.sun.com/jsf/html" %>
<%@ taglib prefix="s" uri="http://shale.apache.org/core" %>

<%--

 Licensed to the Apache Software Foundation (ASF) under one or more
 contributor license agreements.  See the NOTICE file distributed with
 this work for additional information regarding copyright ownership.
 The ASF licenses this file to you under the Apache License, Version 2.0
 (the "License"); you may not use this file except in compliance with
 the License.  You may obtain a copy of the License at

     http://www.apache.org/licenses/LICENSE-2.0

 Unless required by applicable law or agreed to in writing, software
 distributed under the License is distributed on an "AS IS" BASIS,
 WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 See the License for the specific language governing permissions and
 limitations under the License.

--%>

<f:view>
<%@include              file="messages.jspf"%>
<html>
<head>
<title>
  <h:outputText        value="#{messages['usecases.title']}"/>
</title>
</head>
<body>

 <h:form                   id="usecasesForm">

  <h1><h:outputText value="#{messages['usecases.primary']}"/></h1>

  <h:panelGrid        columns="1">

    <f:facet             name="header">
      <h:panelGroup>
        <h:outputText   value="#{messages['prompt.username']}"/>
        <h:outputText   value="#{user.username}"
                     rendered="#{!(empty user)}"/>
        <h:outputText   value="----"
                     rendered="#{empty user}"/>
      </h:panelGroup>
    </f:facet>

    <h:commandLink         id="jndi"
                       action="jndi$test">
      <h:outputText     value="#{messages['usecases.jndi']}"/>
    </h:commandLink>

    <h:commandLink         id="locale"
                       action="locale$select">
      <h:outputText     value="#{messages['usecases.locale']}"/>
    </h:commandLink>

    <h:commandLink         id="logon"
                       action="dialog:LogOn"
                     rendered="#{empty user}">
      <h:outputText     value="#{messages['usecases.logon']}"/>
    </h:commandLink>

    <h:commandLink         id="edit"
                       action="dialog:EditProfile"
                     rendered="#{!(empty user)}">
      <h:outputText     value="#{messages['usecases.edit']}"/>
    </h:commandLink>

    <h:commandLink         id="logoff"
                       action="#{profile$logon.logoff}"
                     rendered="#{!(empty user)}">
      <h:outputText     value="#{messages['usecases.logoff']}"/>
    </h:commandLink>

    <h:commandLink         id="subview"
                       action="subview$first">
      <h:outputText     value="#{messages['usecases.subview']}"/>
    </h:commandLink>

    <f:facet             name="footer">
      <h:panelGroup>
        <h:outputText   value="#{messages['prompt.locale']}"/>
        <h:outputText   value="#{view.locale}"/>
      </h:panelGroup>
    </f:facet>

  </h:panelGrid>

  <h1><h:outputText      value="#{messages['usecases.ajax']}"/></h1>

  <h:panelGrid        columns="1">
    <h:commandLink         id="ajaxZip"
                       action="ajax$zip">
      <h:outputText value="#{messages['usecases.ajaxZip']}"/>
    </h:commandLink>
  </h:panelGrid>

  <h1><h:outputText      value="#{messages['usecases.remoting']}"/></h1>

  <h:panelGrid        columns="1">

    <h:outputLink          id="remotingCategories"
                        value="dynamic/remoting$business/listCategories.faces"
                       target="_new">
      <h:outputText     value="#{messages['usecases.categories']}"/>
    </h:outputLink>

    <h:outputLink          id="remotingLocales"
                        value="dynamic/remoting$business/listLocales.faces"
                       target="_new">
      <h:outputText     value="#{messages['usecases.locales']}"/>
    </h:outputLink>

  </h:panelGrid>

  <h1><h:outputText     value="#{messages['usecases.exceptiontests']}"/></h1>

  <h:panelGrid        columns="1">

    <h:commandLink         id="exceptiontest"
                       action="exception$test">
      <h:outputText     value="#{messages['usecases.exceptiontest']}"/>
    
    </h:commandLink>

  </h:panelGrid>

  <h1><h:outputText     value="#{messages['usecases.tokentests']}"/></h1>

  <h:panelGrid        columns="1">

    <h:commandLink         id="tokentest"
                       action="token$test">
      <h:outputText     value="#{messages['usecases.tokentest']}"/>
    
    </h:commandLink>

  </h:panelGrid>

  <h1><h:outputText     value="#{messages['usecases.validator']}"/></h1>

  <h:panelGrid        columns="1">

    <h:commandLink         id="validation"
                       action="validate$test">
      <h:outputText     value="#{messages['usecases.validate']}"/>
    
    </h:commandLink>

  </h:panelGrid>

 </h:form>

</body>
</html>
</f:view>
